coreEngine.Helper

## Class CSVWriter

- java.lang.Object
- - coreEngine.Helper.CSVWriter

-     public class CSVWriter
      extends java.lang.Object

  CSV file writer
  Author:
    Shu Liu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.io.BufferedWriter` | `bw` Buffered Writer
    `private java.io.FileWriter` | `fw` File Writer
    `private java.lang.String` | `separation` Column Separation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVWriter(java.io.FileWriter writer, char separation)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Finish and close file writer
    `java.lang.String` | `getJoinedString(java.lang.String[] data)`
    `void` | `write(java.lang.String data)`
    `void` | `writeNext(java.lang.String data)`
    `void` | `writeNext(java.lang.String[] data)` Write next line of data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fw

          private final java.io.FileWriter fw

      File Writer

    - #### bw

          private final java.io.BufferedWriter bw

      Buffered Writer

    - #### separation

          private final java.lang.String separation

      Column Separation

  - ### Constructor Detail

    - #### CSVWriter

          public CSVWriter(java.io.FileWriter writer,
                           char separation)

      Constructor
      Parameters:
        `writer` - File Writer
        `separation` - Column Separation

  - ### Method Detail

    - #### writeNext

          public void writeNext(java.lang.String[] data)
                         throws java.io.IOException

      Write next line of data
      Parameters:
        `data` - a line of data
      Throws:
        `java.io.IOException`

    - #### writeNext

          public void writeNext(java.lang.String data)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String data)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getJoinedString

          public java.lang.String getJoinedString(java.lang.String[] data)

    - #### close

          public void close()
                     throws java.io.IOException

      Finish and close file writer
      Throws:
        `java.io.IOException`